@import "../utils/_variables";

.form-add-item {
    width: 100%;
    position: relative;

    button {
        position: absolute;
        top: 50%;
        right: 6px;
        transform: translateY(-50%);
    }

    .input-container {
        width: 100%;
    }
}

input {
    &::placeholder {
        color: rgba($color-text-primary, .3);
    }
}

.input-container {
    border: 1px solid #efefef;
    border-radius: $border-radius-md;
    font-size: $font-size-base;
    outline: none;
    width: 100%;
    transition: all 0.3s ease-in-out;
    position: relative;
    
    input {
        padding: 1rem 1rem;
        outline: none;
        width: 100%;

        &:disabled {
            background-color: #f3f3f3;
            cursor: not-allowed;
        }
    }

    &.input-update {
        border: 1px solid transparent;

        &.focus {
            border: 1px solid #efefef;
        }
    }

    i {
        transition: all 0.3s ease-in-out;
        z-index: 1;
        color: rgba($color-text-primary, .5);
        font-size: 1.2rem;
        cursor: pointer;
        position: absolute;
        top: 50%;
        right: 1rem;
        transform: translateY(-50%);

        &:hover {
            color: $color-text-primary;
        }
    }
}

select {
    border-radius: $border-radius-md;
    outline: none;
    color: #aaaaaa;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    position: relative;
    z-index: 2;
    display: inline-block;
    cursor: pointer;
    width: 100%;
    padding-right: 3rem;
}

.select-wrapper {
    position: relative;
    cursor: pointer;
    display: flex;
    border: 1px solid #f5f5f5;
    border-radius: 5px;

    select{
        padding: 1rem 1rem;
    }

    &::after {
        content: "\f107";
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        font-size: 1.2rem;
        color: #aaaaaa;
        transition: all 0.3s ease-in-out;
        position: absolute;
        top: 50%;
        right: 1rem;
        transform: translateY(-50%);
        z-index: 1;
    }

    &.with-delete::after{
        right: 4rem;
    }

    &:hover {
        color: #000;

        &::after {
            color: #000;
        }

        select {
            color: #000;
        }
    }

}

input[type="checkbox"] {
    display: none;
    transition: all 0.3s ease-in-out;
}

.select--radio {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;

    label {
        width: 200px;
        height: 100px;
        background-color: $color-grey-light;
        color: $color-text-primary;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 1.5rem;
        border-radius: $border-radius-md;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
        border: 1px solid #cecece;

        &:hover {
            background-color: $color-primary;
            color: #fff;
        }
    }
    input[type="radio"]:checked + label {
        background-color: $color-primary;
        color: #fff;
    }
}

.select--list label {
    width: 30px;
    height: 30px;
    border-radius: 100%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    border-style: solid;
    border-color: #cecece;
    border-width: 1px;
    transition: all 0.3s ease-in-out;
    
    &.checked, &:hover {
        border-width: 0;

        &.checked {
            background: $color-text-primary;
        }

        &:hover {
            background: rgba($color-text-primary,.5);
        }

        span {
            align-items: center;
            justify-content: center;
            color: #fff;
            display: inline-block;
            width: 100%;
            height: 100%;
            border-radius: 100%;
            transition: background 0.3s ease-in-out;
            display: flex;
        }
    }
}

.select-remove{
    margin-left: auto;
    border-left: 1px solid #d0d0d0;
    cursor: pointer;
    color: #a4a4a4;
    transition: color 0.2s ease-in-out;
    background-color: rgba($color-danger, 0.6);
    font-size: 2rem;
    color: #fff;
    display: flex;
    align-items: center;
    padding: 0 1rem;
    border-radius: $border-radius-md;

    &:hover {
        color: #000;
        background-color: $color-danger;
    }
}
.add-select {
    margin-bottom: .3rem;
    padding: .9rem 1.5rem;
    border-radius: 0.25rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    background-color: #f3f3f3;
    transition: background-color 0.2s ease-in-out;
    cursor: pointer;
    color: #a4a4a4;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;

    &:hover {
        background-color: #ececec;
    }
}

.select-wrapper.school{
    padding: 1rem;
    position: relative;
    user-select: none;

    .select-list-items{
        &.open {
            display: flex;
        }
        &.close {
            display: none;
        }
        box-shadow: 0px 3px 15px -5px rgba(0, 0, 0, 0.12);
        user-select: none;
        position: absolute;
        top: 56px;
        left: 0;
        background-color: #fff;
        
        flex-wrap: wrap;
        flex-direction: column;
        border: 1px solid #f5f5f5;
        width: 100%;
        transition: all 0.3s ease-in-out;

        &--footer {
            padding: 1rem;
            border-top: 1px solid #f5f5f5;
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }

        .select-item{
            padding: 1rem;
            border-top: 1px solid #f5f5f5;
            transition: all 0.3s ease-in-out;

            &:hover {
                background-color: #f5f5f5;
                cursor: pointer;
            }
        }
    }
}